---

#! jobs/perf-sanity-tests.yaml
suite: perf-sanity-tests
testcase: perf-sanity-tests
category: functional
need_memory: 2G
perf-sanity-tests:
  perf_compiler: clang
job_origin: perf-sanity-tests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-spr-2sp1
tbox_group: lkp-spr-2sp1
job_file: "/lkp/jobs/scheduled/lkp-spr-2sp1/perf-sanity-tests-clang-debian-11.1-x86_64-20220510.cgz-8c248155fb23-20240219-36299-1awz5mf-0.yaml"
id: 916c8f09b56e69db311876821ba194478e2c19bf
queuer_version: "/zday/lkp"

#! /db/releases/20240217005112/lkp-src/hosts/lkp-spr-2sp1
model: Sapphire Rapids
nr_node: 2
nr_cpu: 224
memory: 256G
nr_ssd_partitions: 6
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401J94P0IGN-part*"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T8_BTLJ207201DG1P0FGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x777fe014
brand: Intel(R) Xeon(R) Platinum 8480+

#! /db/releases/20240217005112/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! /db/releases/20240217005112/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240217005112/lkp-src/include/perf-sanity-tests
initrds:
- linux_perf

#! /db/releases/20240217005112/lkp-src/include/queue/cyclic
commit: 8c248155fb236f02a39ae1af6f89eee44bee05ae

#! /db/releases/20240217005112/lkp-src/include/testbox/lkp-spr-2sp1
ucode: '0x2b0004b1'
kconfig: x86_64-rhel-8.3-bpf
enqueue_time: 2024-02-19 11:04:22.408579232 +08:00
_rt: "/result/perf-sanity-tests/clang/lkp-spr-2sp1/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3-bpf/gcc-12/8c248155fb236f02a39ae1af6f89eee44bee05ae"
compiler: gcc-12
head_commit: 2a54478230262e192c9c2cd56892c66dc28164e1
base_commit: 841c35169323cd833294798e58b9bf63fa4fa1de
branch: linux-devel/devel-hourly-20240217-161626
rootfs: debian-11.1-x86_64-20220510.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240219-123102"
arch: x86_64
max_uptime: 1200
initrd: "/osimage/debian/debian-11.1-x86_64-20220510.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/perf-sanity-tests/clang/lkp-spr-2sp1/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3-bpf/gcc-12/8c248155fb236f02a39ae1af6f89eee44bee05ae/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/8c248155fb236f02a39ae1af6f89eee44bee05ae/vmlinuz-6.8.0-rc4-00017-g8c248155fb23
- branch=linux-devel/devel-hourly-20240217-161626
- job=/lkp/jobs/scheduled/lkp-spr-2sp1/perf-sanity-tests-clang-debian-11.1-x86_64-20220510.cgz-8c248155fb23-20240219-36299-1awz5mf-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-bpf
- commit=8c248155fb236f02a39ae1af6f89eee44bee05ae
- nmi_watchdog=0
- intremap=posted_msi
- acpi_rsdp=0x777fe014
- max_uptime=1200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/8c248155fb236f02a39ae1af6f89eee44bee05ae/modules.cgz"
linux_perf_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/8c248155fb236f02a39ae1af6f89eee44bee05ae/linux-perf.cgz"
bm_initrd: "/osimage/deps/debian-11.1-x86_64-20220510.cgz/run-ipconfig_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/lkp_20220513.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rsync-rootfs_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/perf_20230522.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/perf-x86_64-00c7b5f4ddc5-1_20230402.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/hw_20220526.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240217200406/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-spr-2sp1/perf-sanity-tests-clang-debian-11.1-x86_64-20220510.cgz-8c248155fb23-20240219-36299-1awz5mf-0.cgz"
last_kernel: 6.8.0-rc3-00043-g860d7dcb2010
acpi_rsdp: '0x777fe014'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/8c248155fb236f02a39ae1af6f89eee44bee05ae/vmlinuz-6.8.0-rc4-00017-g8c248155fb23"
result_root: "/result/perf-sanity-tests/clang/lkp-spr-2sp1/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3-bpf/gcc-12/8c248155fb236f02a39ae1af6f89eee44bee05ae/0"

#! /cephfs/db/releases/20240219123545/lkp-src/include/site/inn
dequeue_time: 2024-02-19 14:32:47.006521172 +08:00
job_state: finished
loadavg: 14.19 18.89 8.89 1/1890 110355
start_time: '1708324468'
end_time: '1708324959'
version: "/lkp/lkp/.src-20240219-123139:fe6af2925cf2:99dcfeb89953"
